### Hierarchy

- WithOptionLabel

## Index

### Methods

- getOptionLabel
- renderOption

## Methods

### Optional getOptionLabel

- getOptionLabel(option: EnumOption): string

- - Defined in packages/material/src/extended/MuiAutocomplete.tsx:34

  #### Parameters

  - ##### option: EnumOption

  #### Returns string

### Optional renderOption

- renderOption(option: EnumOption, state: AutocompleteRenderOptionState): ReactNode

- - Defined in packages/material/src/extended/MuiAutocomplete.tsx:35

  #### Parameters

  - ##### option: EnumOption

  - ##### state: AutocompleteRenderOptionState

  #### Returns ReactNode

Generated using TypeDoc